%define major 4
%define libname	%mklibname gnomekbd  %{major}
%define libnamedev %mklibname -d gnomekbd

Summary: GNOME keyboard libraries
Name: libgnomekbd
Version: 2.28.0
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libGConf2-devel
BuildRequires: libxklavier-devel >= 4.0
BuildRequires: intltool

%description
GNOME keyboard indicator plugin

%package common
Summary: Files used by GNOME keyboard libraries
Group: %{group}
Conflicts:	%{name} < 2.1.90-2mdv
Conflicts:	gnome-control-center < 2.18.0

%description common
Files used by GNOME keyboard library

%package -n %{libname}
Summary:	Dynamic libraries for GNOME applications
Group:		%{group}
Requires:	%{name}-common >= %{version}

%description -n %{libname}
GNOME keyboard library

%package -n %{libnamedev}
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d gnomekbd 1

%description -n %{libnamedev}
Static library and headers file needed in order to develop
applications using the GNOME keyboard library

%prep
%setup -q -n %{name}-%{version}

%build

%configure2_5x
%make LIBS=-lm

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name
desktop-file-install --vendor="" \
  --remove-category="AdvancedSettings" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf $RPM_BUILD_ROOT

%define schemas desktop_gnome_peripherals_keyboard_xkb

%post common
%post_install_gconf_schemas %{schemas}

%preun common
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
  
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files 
%defattr(-,root,root)
%doc NEWS ChangeLog
%_bindir/gkbd-indicator-plugins-capplet
%_datadir/applications/gkbd-indicator-plugins-capplet.desktop
%_datadir/libgnomekbd/

%files common -f %name.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnomekbd*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Wed Sep 23 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447634
- update to new version 2.28.0

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421335
- update to new version 2.27.91

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 396228
- new version
- drop patch

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-3mdv2010.0
+ Revision: 390540
- update for new libxklavier
- new major

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 379508
- update to new version 2.27.2

* Sat Mar 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 354971
- update to new version 2.26.0

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 343196
- update to new version 2.25.91

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287256
- new version
- update build deps

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 280233
- new version
- drop patch

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2009.0
+ Revision: 231002
- new version
- update license
- fix linking

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 188800
- new version
- update file list

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.4.1-2mdv2008.1
+ Revision: 160686
- rebuild for new libxklavier

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.4.1-1mdv2008.1
+ Revision: 132037
- new version
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 102206
- new version
- new major

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 94124
- Add conflicts to ease upgrade from  2007.0

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89048
- new version

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71593
- new version
- drop patch 1

* Mon Aug 20 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.90-2mdv2008.0
+ Revision: 67921
- Move schema and translation into a subpackage
- Patch1: fix various crashes (GNOME bugs #466301, 429907)

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63477
- fix buildrequires
- new version
- fix build
- new devel name

* Sun May 20 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 28935
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 13831
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141620
- new version

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 130284
- new version
- add icon

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-3mdv2007.1
+ Revision: 89272
- bot rebuild
- rebuild

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 78052
- fix desktop entry
- fix buildrequires
- Import libgnomekbd

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
- initial package

